gpt4 book ai didi

amazon-ec2 - 如何从该 EC2 实例中获取 AWS EC2 实例 ID?

转载 作者:行者123 更新时间:2023-12-03 01:00:10 26 4
gpt4 key购买 nike

如何从 ec2 实例中找到 ec2 实例的实例 ID

最佳答案

参见the EC2 documentation on the subject .

运行:

wget -q -O - http://169.254.169.254/latest/meta-data/instance-id

如果您需要从脚本内以编程方式访问实例 ID,

die() { status=$1; shift; echo "FATAL: $*"; exit $status; }
EC2_INSTANCE_ID="`wget -q -O - http://169.254.169.254/latest/meta-data/instance-id || die \"wget instance-id has failed: $?\"`"

以下是更高级使用的示例(检索实例 ID 以及可用区和区域等):

EC2_INSTANCE_ID="`wget -q -O - http://169.254.169.254/latest/meta-data/instance-id || die \"wget instance-id has failed: $?\"`"
test -n "$EC2_INSTANCE_ID" || die 'cannot obtain instance-id'
EC2_AVAIL_ZONE="`wget -q -O - http://169.254.169.254/latest/meta-data/placement/availability-zone || die \"wget availability-zone has failed: $?\"`"
test -n "$EC2_AVAIL_ZONE" || die 'cannot obtain availability-zone'
EC2_REGION="`echo \"$EC2_AVAIL_ZONE\" | sed -e 's:\([0-9][0-9]*\)[a-z]*\$:\\1:'`"

您还可以使用 curl 代替 wget,具体取决于您的平台上安装的内容。

关于amazon-ec2 - 如何从该 EC2 实例中获取 AWS EC2 实例 ID?,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/625644/

26 4 0
Copyright 2021 - 2024 cfsdn All Rights Reserved 蜀ICP备2022000587号
广告合作:1813099741@qq.com 6ren.com